Freeciv-3.1: packet_ruleset_game Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
packet_ruleset_game Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | default_specialist
int | global_init_techs_count
int | global_init_techs [MAX_NUM_TECH_LIST]
int | global_init_buildings_count
Impr_type_id | global_init_buildings [MAX_NUM_BUILDING_LIST]
int | veteran_levels
char | veteran_name [MAX_VET_LEVELS][MAX_LEN_NAME]
int | power_fact [MAX_VET_LEVELS]
int | move_bonus [MAX_VET_LEVELS]
int | base_raise_chance [MAX_VET_LEVELS]
int | work_raise_chance [MAX_VET_LEVELS]
int | background_red
int | background_green
int | background_blue

## Detailed Description

Definition at line 1043 of file packets_gen.h.

## Field Documentation

## ◆ background_blue

int packet_ruleset_game::background_blue

Definition at line 1057 of file packets_gen.h.

Referenced by handle_ruleset_game(), send_packet_ruleset_game_100(), and send_ruleset_game().

## ◆ background_green

int packet_ruleset_game::background_green

Definition at line 1056 of file packets_gen.h.

Referenced by handle_ruleset_game(), send_packet_ruleset_game_100(), and send_ruleset_game().

## ◆ background_red

int packet_ruleset_game::background_red

Definition at line 1055 of file packets_gen.h.

Referenced by handle_ruleset_game(), send_packet_ruleset_game_100(), and send_ruleset_game().

## ◆ base_raise_chance

int packet_ruleset_game::base_raise_chance[MAX_VET_LEVELS]

Definition at line 1053 of file packets_gen.h.

Referenced by handle_ruleset_game(), send_packet_ruleset_game_100(), and send_ruleset_game().

## ◆ default_specialist

int packet_ruleset_game::default_specialist

Definition at line 1044 of file packets_gen.h.

Referenced by handle_ruleset_game(), send_packet_ruleset_game_100(), and send_ruleset_game().

## ◆ global_init_buildings

Impr_type_id packet_ruleset_game::global_init_buildings[MAX_NUM_BUILDING_LIST]

Definition at line 1048 of file packets_gen.h.

Referenced by handle_ruleset_game(), send_packet_ruleset_game_100(), and send_ruleset_game().

## ◆ global_init_buildings_count

int packet_ruleset_game::global_init_buildings_count

Definition at line 1047 of file packets_gen.h.

Referenced by send_packet_ruleset_game_100(), and send_ruleset_game().

## ◆ global_init_techs

int packet_ruleset_game::global_init_techs[MAX_NUM_TECH_LIST]

Definition at line 1046 of file packets_gen.h.

Referenced by handle_ruleset_game(), send_packet_ruleset_game_100(), and send_ruleset_game().

## ◆ global_init_techs_count

int packet_ruleset_game::global_init_techs_count

Definition at line 1045 of file packets_gen.h.

Referenced by send_packet_ruleset_game_100(), and send_ruleset_game().

## ◆ move_bonus

int packet_ruleset_game::move_bonus[MAX_VET_LEVELS]

Definition at line 1052 of file packets_gen.h.

Referenced by handle_ruleset_game(), send_packet_ruleset_game_100(), and send_ruleset_game().

## ◆ power_fact

int packet_ruleset_game::power_fact[MAX_VET_LEVELS]

Definition at line 1051 of file packets_gen.h.

Referenced by handle_ruleset_game(), send_packet_ruleset_game_100(), and send_ruleset_game().

## ◆ veteran_levels

int packet_ruleset_game::veteran_levels

Definition at line 1049 of file packets_gen.h.

Referenced by handle_ruleset_game(), send_packet_ruleset_game_100(), and send_ruleset_game().

## ◆ veteran_name

char packet_ruleset_game::veteran_name[MAX_VET_LEVELS][MAX_LEN_NAME]

Definition at line 1050 of file packets_gen.h.

Referenced by handle_ruleset_game(), send_packet_ruleset_game_100(), and send_ruleset_game().

## ◆ work_raise_chance

int packet_ruleset_game::work_raise_chance[MAX_VET_LEVELS]

Definition at line 1054 of file packets_gen.h.

Referenced by handle_ruleset_game(), send_packet_ruleset_game_100(), and send_ruleset_game().